Bug 1789083 - node_exporter does not report virt_platform{type="none"}
Summary: node_exporter does not report virt_platform{type="none"}
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Monitoring
Version: 4.4
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 4.4.0
Assignee: Clayton Coleman
QA Contact: Junqi Zhao
URL:
Whiteboard:
Depends On:
Blocks: 1789084
TreeView+ depends on / blocked
 
Reported: 2020-01-08 17:18 UTC by Clayton Coleman
Modified: 2020-05-04 11:23 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1789084 (view as bug list)
Environment:
Last Closed: 2020-05-04 11:23:07 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift node_exporter pull 48 None closed Bug 1789083: Not reporting 'none' when no platforms located 2020-07-29 12:08:19 UTC
Red Hat Product Errata RHBA-2020:0581 None None None 2020-05-04 11:23:40 UTC

Description Clayton Coleman 2020-01-08 17:18:11 UTC
When we fixed the last bug in the virt_platform node_exporter metric, we accidentally broke the type="none" calculation.  We need to fix this and back port to 4.2.

Comment 2 Junqi Zhao 2020-01-13 08:26:51 UTC
since we can not always get virt_platform{type="none"} for testing cluster,tested locally with the fix, no issue now
4.4.0-0.nightly-2020-01-13-010304

Comment 4 errata-xmlrpc 2020-05-04 11:23:07 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0581


Note You need to log in before you can comment on or make changes to this bug.